Package org.apache.sysds.runtime.iogen

# Class MappingProperties

java.lang.Object
org.apache.sysds.runtime.iogen.MappingProperties

public class MappingProperties extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`MappingProperties.DataProperties`
`static enum`
`MappingProperties.RecordProperties`
`static enum`
`MappingProperties.RepresentationProperties`

## Constructor Summary

Constructors
Constructor
Description
`MappingProperties()`

## Method Summary

Modifier and Type
Method
Description
`MappingProperties.DataProperties`
`getDataProperties()`
`Object`
`getPatternValue()`
`Types.ValueType`
`getPatternValueType()`
`MappingProperties.RecordProperties`
`getRecordProperties()`
`MappingProperties.RepresentationProperties`
`getRepresentationProperties()`
`boolean`
`isRepresentation()`
`void`
`setArrayColWiseRepresentation()`
`void`
`setArrayRowWiseRepresentation()`
`void`
`setDataFullExist()`
`void`
`setDataNotExist()`
`void`
`setDataPartiallyExist()`
`void`
`setPatternRepresentation(Types.ValueType valueType, Object value)`
`void`
`setRecordMultiLine()`
`void`
`setRecordSingleLine()`
`void`
`setSkewSymmetricRepresentation()`
`void`
`setSymmetricRepresentation()`
`void`
`setTypicalRepresentation()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MappingProperties

public MappingProperties()

## Method Details

### setSymmetricRepresentation

public void setSymmetricRepresentation()

### setSkewSymmetricRepresentation

public void setSkewSymmetricRepresentation()

### setPatternRepresentation

public void setPatternRepresentation(Types.ValueType valueType, Object value)

### setTypicalRepresentation

public void setTypicalRepresentation()

### setArrayColWiseRepresentation

public void setArrayColWiseRepresentation()

### setArrayRowWiseRepresentation

public void setArrayRowWiseRepresentation()

### setDataFullExist

public void setDataFullExist()

### setDataNotExist

public void setDataNotExist()

### setDataPartiallyExist

public void setDataPartiallyExist()

### setRecordSingleLine

public void setRecordSingleLine()

### setRecordMultiLine

public void setRecordMultiLine()

### isRepresentation

public boolean isRepresentation()

### getRepresentationProperties

public MappingProperties.RepresentationProperties getRepresentationProperties()

### getRecordProperties

public MappingProperties.RecordProperties getRecordProperties()

### getDataProperties

public MappingProperties.DataProperties getDataProperties()

### getPatternValue

public Object getPatternValue()

### getPatternValueType

public Types.ValueType getPatternValueType()